Множественные уязвимости в WeBid

Дата публикации:
11.11.2010
Дата изменения:
11.11.2010
Всего просмотров:
1226
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:P/RL:U/RC:C) = Base:5/Temporal:4.5
(AV:N/AC:L/Au:N/C:N/I:N/A:C/E:P/RL:U/RC:C) = Base:7.8/Temporal:7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WeBid 0.x
Уязвимые версии: WeBid 0.85P1, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии confirm.php, когда установлен параметр "lan". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "lan" в сценарии active_auctions.php перед подключением в сценарии includes/messages.inc.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, подключить произвольные файлы на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: www.webidsupport.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.johnleitch.net/Vulnerabilities/WeBid.0.8.5P1.Reflected.Cross-site.Scripting/62
http://www.johnleitch.net/Vulnerabilities/WeBid.0.8.5P1.Local.File.Inclusion/63

или введите имя

CAPTCHA